MyGUI: MyGUI::UString::_fwd_iterator Class Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::UString::_fwd_iterator Class Reference

forward iterator for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_fwd_iterator:
[legend]

## Public Member Functions
_fwd_iterator & | operator++ ()
| pre-increment
_fwd_iterator | operator++ (int)
| post-increment
_fwd_iterator & | operator-- ()
| pre-decrement
_fwd_iterator | operator-- (int)
| post-decrement
_fwd_iterator | operator+ (difference_type n)
| addition operator
_fwd_iterator | operator- (difference_type n)
| subtraction operator
_fwd_iterator & | operator+= (difference_type n)
| addition assignment operator
_fwd_iterator & | operator-= (difference_type n)
| subtraction assignment operator
value_type & | operator* () const
| dereference operator
value_type & | operator[] (difference_type n) const
| dereference at offset operator
_fwd_iterator & | moveNext ()
| advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream
_fwd_iterator & | movePrev ()
| rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream
unicode_char | getCharacter () const
| Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed).
int | setCharacter (unicode_char uc)
| Sets the Unicode value of the character at the current position (adding a surrogate pair if needed); returns the amount of string length change caused by the operation.

## Additional Inherited Members
Protected Types inherited from MyGUI::UString::_base_iterator
using | difference_type = ptrdiff_t
Protected Member Functions inherited from MyGUI::UString::_base_iterator
void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()
Protected Attributes inherited from MyGUI::UString::_base_iterator
dstring::iterator | mIter
UString * | mString {nullptr}

## Detailed Description

forward iterator for UString

Definition at line 224 of file MyGUI_UString.h.

## Member Function Documentation

## ◆ getCharacter()

UString::unicode_char MyGUI::UString::_fwd_iterator::getCharacter | ( |  | ) | const

Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed).

Definition at line 192 of file MyGUI_UString.cpp.

## ◆ moveNext()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::moveNext | ( |  | ) |

advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 180 of file MyGUI_UString.cpp.

## ◆ movePrev()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::movePrev | ( |  | ) |

rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 186 of file MyGUI_UString.cpp.

## ◆ operator*()

UString::value_type & MyGUI::UString::_fwd_iterator::operator* | ( |  | ) | const

dereference operator

Definition at line 168 of file MyGUI_UString.cpp.

## ◆ operator+()

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator+ | ( | difference_type | n | ) |

addition operator

Definition at line 130 of file MyGUI_UString.cpp.

## ◆ operator++() [1/2]

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator++ | ( |  | ) |

pre-increment

Definition at line 104 of file MyGUI_UString.cpp.

## ◆ operator++() [2/2]

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator++ | ( | int |  | ) |

post-increment

Definition at line 110 of file MyGUI_UString.cpp.

## ◆ operator+=()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator+= | ( | difference_type | n | ) |

addition assignment operator

Definition at line 150 of file MyGUI_UString.cpp.

## ◆ operator-()

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator- | ( | difference_type | n | ) |

subtraction operator

Definition at line 140 of file MyGUI_UString.cpp.

## ◆ operator--() [1/2]

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator-- | ( |  | ) |

pre-decrement

Definition at line 117 of file MyGUI_UString.cpp.

## ◆ operator--() [2/2]

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator-- | ( | int |  | ) |

post-decrement

Definition at line 123 of file MyGUI_UString.cpp.

## ◆ operator-=()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator-= | ( | difference_type | n | ) |

subtraction assignment operator

Definition at line 159 of file MyGUI_UString.cpp.

## ◆ operator[]()

UString::value_type & MyGUI::UString::_fwd_iterator::operator[] | ( | difference_type | n | ) | const

dereference at offset operator

Definition at line 173 of file MyGUI_UString.cpp.

## ◆ setCharacter()

int MyGUI::UString::_fwd_iterator::setCharacter | ( | unicode_char | uc | ) |

Sets the Unicode value of the character at the current position (adding a surrogate pair if needed); returns the amount of string length change caused by the operation.

Definition at line 197 of file MyGUI_UString.cpp.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp